import Grid from './grid.vue'
import GridColumn from './grid-column.js'
import GridBatchToolbar from './grid-toolbar/grid-batch-toolbar-proxy'
import GridFilter from './grid-filter/grid-filter.vue'
import GridFilterItem from './grid-filter/grid-filter-item.vue'
import { GridSortProxy as GridSort } from './grid-sort'

Grid.install = (Vue) => {
  Vue.component(Grid.name, Grid)
  Vue.component(GridColumn.name, GridColumn)
  Vue.component('UiGridBatchToolbar', GridBatchToolbar)
  Vue.component('UiGridFilter', GridFilter)
  Vue.component('UiGridFilterItem', GridFilterItem)
  Vue.component('UiGridSort', GridSort)
}
export {
  Grid,
  GridColumn,
  GridFilter,
  GridFilterItem,
  GridSort
}
export default Grid
